[Hardy 8.04 Alpha-2] "Check CD for Defects" does not work. (Fixed in 8.04 Alpha-3.)

Bug #178045 reported by Stanley Sokolow on 2007-12-22
4
Affects Status Importance Assigned to Milestone
GLibC
Fix Released
Medium
casper (Ubuntu)
Undecided
Unassigned
cdrom-checker (Ubuntu)
Undecided
Unassigned
glibc (Debian)
Fix Released
Unknown
glibc (Ubuntu)
Undecided
Unassigned

Bug Description

Check CD option on Live CD displays the Ubuntu splash with empty progress bar and says "Checking integrity. This may take some time." But then nothing happens. The progress bar makes no progress. The CD drive does not light up its activity LED. The CD spins down to a full stop. After a minute or so, the display goes blank black except for a blinking underscore cursor in the upper left corner. Ctrl-Alt-Del will reboot. I tried this on a Gateway Core 2 Duo (1.86 GHz) and a Northgate Celeron (2.2 GHz). Both of these machines do execute the Check CD function on Hardy Alpha-1 CD, but not the one on Alpha-2 CD downloaded today 12/21/07 from default server for my location (California, USA).

The following code does not work anymore on glibc 2.7, while it was working on
glibc 2.6:

#include <stdio.h>

int main()
{
  char *buf = " ";
  char *str;

  sscanf (buf, "%as", &str);
  printf("%p\n", str);
  return 0;
}

Instead the glibc now reports an invalid pointer:

*** glibc detected *** ./test: munmap_chunk(): invalid pointer:
0x00007fffe37dd8c0 ***
======= Backtrace: =========
/lib/libc.so.6(cfree+0x1b6)[0x2b8ac7560d06]
/lib/libc.so.6(_IO_vfscanf+0x239f)[0x2b8ac753e29f]
/lib/libc.so.6(vsscanf+0x75)[0x2b8ac754ec85]
/lib/libc.so.6(_IO_sscanf+0x88)[0x2b8ac75498b8]
./test[0x4004bf]
/lib/libc.so.6(__libc_start_main+0xf4)[0x2b8ac75071c4]
./test[0x400409]
======= Memory map: ========
00400000-00401000 r-xp 00000000 08:02
2392545 /tmp/test
00600000-00601000 rw-p 00000000 08:02
2392545 /tmp/test
00601000-00622000 rw-p 00601000 00:00 0 [heap]
2b8ac72cb000-2b8ac72e8000 r-xp 00000000 08:02
6669895 /lib/ld-2.7.so
2b8ac72e8000-2b8ac72eb000 rw-p 2b8ac72e8000 00:00 0
2b8ac74e7000-2b8ac74e9000 rw-p 0001c000 08:02
6669895 /lib/ld-2.7.so
2b8ac74e9000-2b8ac763d000 r-xp 00000000 08:02
6669873 /lib/libc-2.7.so
2b8ac763d000-2b8ac783d000 ---p 00154000 08:02
6669873 /lib/libc-2.7.so
2b8ac783d000-2b8ac7840000 r--p 00154000 08:02
6669873 /lib/libc-2.7.so
2b8ac7840000-2b8ac7842000 rw-p 00157000 08:02
6669873 /lib/libc-2.7.so
2b8ac7842000-2b8ac7848000 rw-p 2b8ac7842000 00:00 0
2b8ac7848000-2b8ac7855000 r-xp 00000000 08:02
21217454 /lib/libgcc_s.so.1
2b8ac7855000-2b8ac7a55000 ---p 0000d000 08:02
21217454 /lib/libgcc_s.so.1
2b8ac7a55000-2b8ac7a56000 rw-p 0000d000 08:02
21217454 /lib/libgcc_s.so.1
7fffe37ca000-7fffe37df000 rw-p 7fffe37ca000 00:00 0
[stack]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vdso]

Changed in cvs.

Stanley Sokolow (overbyte) wrote :

I should mention that the .iso image file was burned using Nero on a Windows machine and verified okay by Nero after the burn. Therefore I don't think it's just a badly burned CD, but rather it's a bug in Alpha-2.

Nanley Chery (nanoman) wrote :

Does the "Start or Install Ubuntu" option work? Your described problem is similar to an experience I had with a Gutsy Tribe on my Laptop. It was fixed after downloading another daily Live image. Please download another (future) image and report the results. Thank you in advance!

Stanley Sokolow (overbyte) wrote :

It installed ok on my test machine. I'm using it now to answer you.
I will download a daily image iso file. The alpha-2 info page at
http://www.ubuntu.com/testing/hardy/alpha2 does not say which daily
build date was used as the alpha2 image. Today is the day after the
alpha2 release was announced. The announcement does not give the build
date of the alpha2. Is it correct to assume that the "current" daily
build is after the "alpha2" build? If so, I'll download from
http://cdimage.ubuntu.com/daily-live/current/ and try it.

Stanley Sokolow (overbyte) wrote :

It just occurred to me that I forgot to check the MD5 checksum of the downloaded iso image. Maybe I just have a bad image. I'll verify the checksum of my Alpha-2 iso file before I try a new daily iso. I just signed up with the Ubuntu QA testing site (https://wiki.ubuntu.com/Testing) so I can be more effective in reporting my testing results. My username there is "overbyte".

Stanley Sokolow (overbyte) wrote :

MD5 checksum is correct for my iso image of Alpha-2. I will go ahead and try the "current" image.

Stanley Sokolow (overbyte) wrote :

Current daily build (22 Dec 2007 07:40) has same problem. I verified that the MD5 checksum was ok before I burned the iso to a CD using Nero on Windows XP, verified the burn with Nero. Still the "Check CD" doesn't work on the live CD.

Nanley Chery (nanoman) wrote :

 This bug sounds quite similar to Bug #44539 .
Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at [WWW] https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in casper.

You can classify it any way that helps an appropriate developer find it,
but as I understand it "casper" is what runs when you "Start" the Live
CD from the initial boot menu. I didn't go to the live session, but
instead did the preliminary CD test. This isn't part of a live
session. It's no more a live session than the memory test launched from
the live CD would be a live session. Both of these are accessory
programs from the boot up menu, not part of the live desktop session.

Moreover, but #44539 isn't the same at all. That bug involved erratic
failure to bootload the LiveCD, before ever reaching the menu screen.
I'm saying that after the menu displays, I select Check the CD, it
writes the message that it is beginning to check the CD and it will take
some time, but nothing happens and the system just dies. The Check the
CD selection worked on alpha-1, but not on alpha-2 nor today's daily
build. This is a regression or new bug introduced after alpha-1 was
released. The 44539 bug reported long ago is different and not
relevant.

On Sat, 2007-12-22 at 20:32 +0000, Nanley Chery wrote:
> This bug sounds quite similar to Bug #44539 .
> Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at [WWW] https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in casper.
>
> ** Changed in: casper (Ubuntu)
> Sourcepackagename: None => casper
> Status: Incomplete => Confirmed
>

You can classify it any way that helps an appropriate developer find it,
but as I understand it "casper" is what runs when you "Start" the Live
CD from the initial boot menu. I didn't go to the live session, but
instead did the preliminary CD test. This isn't part of a live
session. It's no more a live session than the memory test launched from
the live CD would be a live session. Both of these are accessory
programs from the boot up menu, not part of the live desktop session.

Moreover, bug #44539 isn't the same at all. That bug involved erratic
failure to bootload the LiveCD, before ever reaching the menu screen.
I'm saying that after the menu displays, I select Check the CD, it
writes the message that it is beginning to check the CD and it will take
some time, but nothing happens and the system just dies. The Check the
CD selection worked on alpha-1, but not on alpha-2 nor today's daily
build. This is a regression or new bug introduced after alpha-1 was
released. The 44539 bug reported long ago is different and not relevant.

When I did launch the Casper live session ("Start or Install" menu item)
 the desktop did come up and run okay. Which package includes the CD test
and splash screen on the Live CD? If it's the casper package, you're classifying it right.

Nanley Chery (nanoman) wrote :

This bug is in "grey-water" as to which package it should be filed in. There is no clear answer AFAIK, but based of bugs #52026 and #31753 , it seems this maybe a bug in casper or cdrom-checker, so I'll add the latter as affected as well. If you find the correct package, feel free to mark the aforementioned packages as invalid.

Changed in cdrom-checker:
status: New → Confirmed
status: Confirmed → New
Colin Watson (cjwatson) wrote :

casper *is* actually what implements the "Check CD for Defects" menu option on live CDs, as well as the live session itself.

cdrom-checker is only used on the alternate install CD, and is not relevant to this bug.

Changed in cdrom-checker:
status: New → Invalid
Colin Watson (cjwatson) wrote :

I think this is actually a glibc bug, and have linked to the other bug reports about fscanf %as crashes. Debian unstable's glibc package apparently has a fix for this, which we should pull in.

Changed in glibc:
status: Unknown → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glibc - 2.7-5ubuntu1

---------------
glibc (2.7-5ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Packaging:
      + External tzdata
      + Use external locale information
      + Addition of Niagara and Niagara2 optimised libraries
      + GFDL Documentation added back in.
      + Transition from /usr/include/ppc64-linux-gnu to powerpc64-linux-gnu
      + Use dpkg triggers for ldconfig
      + Do not die if extra libc libraries or symlinks found
      + Do not do a test run of nscd when starting
      + Only apply patches we actually use in Ubuntu
      + Use /lib and /usr/lib for amd64
      + amd64 biarch is i686, not i486.
      + Non-optimised i386 glibc is Xen-friendly.
      + Support sparcv9v, v9v2, 64b, 64v, 64v2
      + Add support for lpia.
    - Patches:
      + any/local-ipv6-sanity
      + i386/local-clone
      + amd64/local-clone
      + sparc/submitted-v9v2
      + hppa/hppalll
  * Debian any/cvs-vfscanf patch fixes LP: #178045. Actually add it to
    debian/patches/series (forgotten in Debian).
  * Stop setting MAKEINFO to :, which prevented the info documentation being
    built. See also 2.5-0ubuntu3.
  * any/submitted-rfc3484-sortv4: Return to disabling RFC3484 s6 rule 9 by
    default. As requested by Ubuntu sysadmins, we want this regardless of
    the Debian technical committee's decision.

glibc (2.7-5) unstable; urgency=low

  [ Aurelien Jarno ]
  * Moved merged parts of patches/any/submitted-sched_h.diff into
    patches/any/cvs-sched_h.diff.
  * patches/any/cvs-ether_line.diff: new patch from upstream to fix
    ether_line(). Closes: bug#453899.
  * patches/any/cvs-vfscanf.diff: new patch from upstream to fix
    crash when %as is used with sscanf(). Closes: bug#453408.
  * debian/rules: also set CXX when cross-compiling.
  * patches/any/submitted-malloc_h.diff: removed, replaced by
    patches/any/cvs-wchar_h.diff.
  * debian/sysdeps/depflags.pl: conflict against tzdata (<< 2007j-2) as
    etch now have version 2007j-1etch1. Closes: bug#455783.
  * debian/sysdeps/depflags.pl: suggests libc6-i686 on i386 architecture.
    Closes: bug#455603.
  * any/submitted-rfc3484-labels.diff: new patch to fix RFC 3484 default
    label ordering. Closes: bug#456779.
  * patches/alpha/local-dl-procinfo.diff: add missing part. Closes:
    bug#456260.

  [ Petr Salinger]
  * kfreebsd/local-sysdeps.diff: update to revision 2082 (from glibc-bsd).
  * any/cvs-fchmodat.diff: properly declare as stub - needed by GNU/kFreeBSD.

  [ Samuel Thibault]
  * patches/hurd-i386/submitted-ioctl-unsigned-size_t.diff: update to also
    handle unsigned char/int/short/long and ssize_t.

 -- Colin Watson <email address hidden> Mon, 24 Dec 2007 09:55:32 +0000

Changed in glibc:
status: New → Fix Released
Colin Watson (cjwatson) wrote :

I think this glibc upload fixes this bug (I've confirmed that I can now run casper-md5check without errors from a normal system, even under valgrind), but will wait until a daily CD build is available containing it to make sure.

Changed in glibc:
status: Unknown → Fix Released
Saivann Carignan (oxmosys) wrote :

I confirm that Alpha 3 is now fixed.

Saivann Carignan (oxmosys) wrote :

According to the fact that this problem is fixed with latest version of glibc, I will set the status of this bug to invalid in casper. Please correct me if I'm wrong. And thanks to everybody, that was quick!

Changed in casper:
assignee: nanoman → nobody
status: Confirmed → Invalid
Changed in glibc:
status: Confirmed → Fix Released
Changed in glibc:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.